Fly.io
Machines

Execute Command

View as Markdown

Execute a command on a specific Machine and return the raw command output bytes.

POST
/apps/{app_name}/machines/{machine_id}/exec

Execute a command on a specific Machine and return the raw command output bytes.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

machine_id*string

Machine ID

Request Body

application/json

Request body

cmd?string

Deprecated: use Command instead

command?array<string>
container?string
stdin?string
timeout?integer

Response Body

curl -X POST "https://example.com/apps/string/machines/string/exec" \  -H "Content-Type: application/json" \  -d '{}'
{  "exit_code": 0,  "exit_signal": 0,  "stderr": "string",  "stdout": "string"}
{  "details": {},  "error": "string",  "status": "unknown"}